org.apache.solr.client.solrj.io.stream.expr

## Class StreamExpressionValue

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.expr.StreamExpressionValue

All Implemented Interfaces:
  StreamExpressionParameter

    public class StreamExpressionValue
    extends Object
    implements StreamExpressionParameter

Basic string stream expression

### Constructor Summary

Constructors
Constructor and Description
`StreamExpressionValue(String value)`

### Method Summary

Methods
`boolean` `equals(Object other)`
`String` `getValue()`
`void` `setValue(String value)`
`String` `toString()`
`StreamExpressionValue` `withValue(String value)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamExpressionValue

    public StreamExpressionValue(String value)

### Method Detail

#### getValue

    public String getValue()

#### setValue

    public void setValue(String value)

#### withValue

    public StreamExpressionValue withValue(String value)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`